﻿:namespace system ⍝ V1.05
⍝ Show loaded assemblies in memory
⍝ 2015 05 22 Adam: NS header
⍝ 2018 04 16 Adam: [14781] explicit ".NET"

    ⎕IO←1 ⋄ ⎕ML←1

    ∇ r←List
      r←⎕NS ⍬
    ⍝ Name, group, short description and parsing rules
      r.Name← 'Assemblies'
      r.Group←'MSWIN'
      r.Desc←'show loaded .NET assemblies in memory'
      r.Parse←''
      r/⍨←⎕SE.SALTUtils.WIN
    ∇

    ∇ r←Run(Cmd Args);⎕USING
      :Select Cmd
      :Case 'Assemblies'
          r←'* No .NET assemblies currently loaded'
          :Trap 90
              ⎕USING←'System'
              r←↑⍕¨AppDomain.CurrentDomain.GetAssemblies
          :EndTrap
      :EndSelect
    ∇

    ∇ r←l Help Cmd;⎕ML
      ⎕ML←1
      :Select Cmd
      :Case 'Assemblies'
          r←'Show all .NET assemblies currently loaded into memory'
      :EndSelect
    ∇

:Endnamespace
 ⍝ system  $Revision: 1414 $ 
